PHPExcel_Writer_Excel2007_ContentTypes

category | PHPExcel
package | PHPExcel_Writer_Excel2007
copyright | Copyright (c) 2006 - 2013 PHPExcel (http://www.codeplex.com/PHPExcel)

### Methods

## Set parent IWriter object

    __construct(\PHPExcel_Writer_IWriter $pWriter)

Inherited

inherited_from | \PHPExcel_Writer_Excel2007_WriterPart::__construct()

### Parameters

#### $pWriter

`\PHPExcel_Writer_IWriter`

### Exceptions

`\PHPExcel_Writer_Exception` |

## Get parent IWriter object

    getParentWriter() : \PHPExcel_Writer_IWriter

Inherited

inherited_from | \PHPExcel_Writer_Excel2007_WriterPart::getParentWriter()

### Exceptions

`\PHPExcel_Writer_Exception` |

### Returns

`\PHPExcel_Writer_IWriter`

## Set parent IWriter object

    setParentWriter(\PHPExcel_Writer_IWriter $pWriter)

Inherited

inherited_from | \PHPExcel_Writer_Excel2007_WriterPart::setParentWriter()

### Parameters

#### $pWriter

`\PHPExcel_Writer_IWriter`

### Exceptions

`\PHPExcel_Writer_Exception` |

## Write content types to XML format

    writeContentTypes(\PHPExcel $pPHPExcel, boolean $includeCharts) : string

### Parameters

#### $pPHPExcel

`\PHPExcel`

#### $includeCharts

`boolean`

Flag indicating if we should include drawing details for charts

### Exceptions

`\PHPExcel_Writer_Exception` |

### Returns

`string`XML Output

## Get image mime type

    _getImageMimeType(string $pFile) : string

### Parameters

#### $pFile

`string`

Filename

### Exceptions

`\PHPExcel_Writer_Exception` |

### Returns

`string`Mime Type

## Write Default content type

    _writeDefaultContentType(\PHPExcel_Shared_XMLWriter $objWriter, string $pPartname, string $pContentType)

### Parameters

#### $objWriter

`\PHPExcel_Shared_XMLWriter`

XML Writer

#### $pPartname

`string`

Part name

#### $pContentType

`string`

Content type

### Exceptions

`\PHPExcel_Writer_Exception` |

## Write Override content type

    _writeOverrideContentType(\PHPExcel_Shared_XMLWriter $objWriter, string $pPartname, string $pContentType)

### Parameters

#### $objWriter

`\PHPExcel_Shared_XMLWriter`

XML Writer

#### $pPartname

`string`

Part name

#### $pContentType

`string`

Content type

### Exceptions

`\PHPExcel_Writer_Exception` |

### Properties

##

    $_parentWriter : \PHPExcel_Writer_IWriter

Inherited

inherited_from | \PHPExcel_Writer_Excel2007_WriterPart::$$_parentWriter